org.icefaces.ace.component.menu

## Class AbstractMenu

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.menu.AbstractMenu

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    BreadcrumbMenuBase, ContextMenuBase, MenuBarBase, MenuBase, MenuButtonBase

      public abstract class AbstractMenu
      extends javax.faces.component.UIComponentBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMenu()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildMenuFromModel()`
    `abstract MenuModel` | `getModel()`
    `boolean` | `isBuiltFromModel()`
    `boolean` | `isDynamic()`
    `void` | `markAsBuiltFromModel()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `protected void` | `setTransientRecursive(javax.faces.component.UIComponent comp)`
    `boolean` | `shouldBuildFromModel()`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMenu

          public AbstractMenu()

  - ### Method Detail

    - #### buildMenuFromModel

          public void buildMenuFromModel()

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### setTransientRecursive

          protected void setTransientRecursive(javax.faces.component.UIComponent comp)

    - #### getModel

          public abstract MenuModel getModel()

    - #### isDynamic

          public boolean isDynamic()

    - #### isBuiltFromModel

          public boolean isBuiltFromModel()

    - #### markAsBuiltFromModel

          public void markAsBuiltFromModel()

    - #### shouldBuildFromModel

          public boolean shouldBuildFromModel()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.